OsmoSTP - Bug #4236

osmo-stp segfaults if IPA client sends unparseable SCCP
10/19/2019 03:27 PM - laforge

Status: Resolved Start date: 10/19/2019
Priority: High Due date:

Assignee: laforge % Done: 100%
Category:

Target version:

Spec Reference:

Description

When an IPA ASP is sending a SCCP message that cannot be parsed, osmo-stp currently crashes in ipa_rx_msg_sccp() which
doesn't anticipate @patch_sccp_with_pc() returning NULL.

Related issues:
Related to OsmoSTP - Feature #4219: IPA: no point code insertion to SCCP Closed 10/08/2019

History

#1 - 10/19/2019 03:28 PM - laforge
- % Done changed from 0 to 40

Patch available in https://gerrit.osmocom.org/c/libosmo-sccp/+/15813

#2 - 10/19/2019 03:28 PM - laforge
- Related to Feature #4219: IPA: no point code insertion to SCCP added

#3 - 10/20/2019 09:44 AM - laforge
- % Done changed from 40 to 80

patch merged

#4 - 11/05/2019 04:40 PM - laforge
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100
